<?php
/**
 * Daisycon settings page about block
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Block_Adminhtml_Config_About extends Mage_Adminhtml_Block_System_Config_Form_Fieldset
{
    /**
     * Render the about block to html
     *
     * @param Varien_Data_Form_Element_Abstract $element
     * @return string
     */
    public function render(Varien_Data_Form_Element_Abstract $element)
    {
        $this->setTemplate('daisycon/affiliatemarketing/about.phtml');
        return $this->toHtml();
    }

    /**
     * Get the current extension version
     *
     * @return string
     */
    public function getExtensionVersion()
    {
        return (string)Mage::getConfig()->getNode('modules/Daisycon_Affiliatemarketing/version');
    }
}
